Scanning
Retrieve information about RAS scanning settings.
Site ID for which to retrieve the RAS universal scanning settings (optional)
Success
RAS Scanning Settings
TWAIN Name Pattern. Default pattern: %SCANNERNAME% for %USERNAME% by Parallels Valid pattern variables: %SCANNERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID% Other valid pattern: 2X Universal Scanner
Whether to Replicate TWAIN Pattern or not.
WIA Name Pattern. Default pattern: %SCANNERNAME% for %USERNAME% by Parallels Valid pattern variables: %SCANNERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID%
Whether to Replicate WIA Pattern or not.
Specifies items in the TWAIN Applications list.
Whether to replicate TWAIN Applications or not.
Unauthorized
Not Found
GET /api/ScanningSettings HTTP/1.1
Accept: */*
{
"twainNamePattern": "text",
"replicateTWAINPattern": true,
"wiaNamePattern": "text",
"replicateWIAPattern": true,
"twainApps": [
"text"
],
"replicateTWAINApps": true
}Update scanning settings of a Site. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.
Site ID (optional)
Update RAS Universal Scanning settings
WIA Name Pattern. Default pattern: %SCANNERNAME% for %USERNAME% by Parallels Valid pattern variables: %SCANNERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID%
Replicate WIA pattern.
TWAIN Name Pattern. Default pattern: %SCANNERNAME% for %USERNAME% by Parallels Valid pattern variables: %SCANNERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID% Other valid pattern: 2X Universal Scanner
Replicate TWAIN Pattern.
Specifies items in the TWAIN Applications list.
Replicate TWAIN Applications.
No Content
No content
Unauthorized
Not Found
PUT /api/ScanningSettings HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 154
{
"wiaNamePattern": "text",
"replicateWIAPattern": true,
"twainNamePattern": "text",
"replicateTWAINPattern": true,
"twainApps": [
"text"
],
"replicateTWAINApps": true
}No content
Last updated